본문으로 건너뛰기

Angular와의 통합

팁

Angular의 기본 개념과 패턴을 먼저 숙지하시기 바랍니다. 복습이 필요하시면 Angular 문서를 참고하세요.

DHTMLX RichText는 Angular와 함께 사용할 수 있습니다. 전체 코드 예제는 GitHub 데모를 참고하세요.

프로젝트 생성​

정보

새 프로젝트를 생성하기 전에 Angular CLI와 Node.js를 먼저 설치하세요.

Angular CLI를 사용하여 my-angular-richtext-app 프로젝트를 생성합니다.

ng new my-angular-richtext-app
노트

프로젝트 생성 중 Angular CLI가 묻는 경우, 서버 사이드 렌더링(SSR)과 정적 사이트 생성(SSG/Prerendering)을 비활성화하세요.

이 명령어는 필요한 모든 도구를 설치합니다. 추가 명령어는 필요하지 않습니다.

의존성 설치​

새 앱 디렉터리로 이동합니다.

cd my-angular-richtext-app

yarn 패키지 매니저로 의존성을 설치하고 개발 서버를 시작합니다.

yarn
yarn start

앱은 localhost에서 실행됩니다(예: http://localhost:3000).

RichText 생성​

앱을 중지하고 RichText 패키지를 설치합니다.

1단계. 패키지 설치​

RichText 트라이얼 패키지를 다운로드하고 README 파일의 단계를 따라 진행하세요. 트라이얼 라이선스는 30일 동안 유효합니다.

2단계. 컴포넌트 생성​

애플리케이션에 RichText를 추가할 Angular 컴포넌트를 생성합니다. src/app/ 디렉터리에 richtext 폴더를 만들고 richtext.component.ts 파일을 추가하세요.

소스 파일 가져오기​

richtext.component.ts를 열고 RichText 소스 파일을 가져옵니다.

로컬 폴더에 설치된 PRO 버전의 경우 다음을 사용하세요.

import { Richtext } from 'dhx-richtext-package';

트라이얼 버전의 경우 다음을 사용하세요.

import { Richtext } from '@dhx/trial-richtext';

이 튜토리얼에서는 RichText 트라이얼 버전을 사용합니다.

컨테이너 설정 및 RichText 초기화​

RichText의 컨테이너 요소를 설정하고 ngOnInit() 내부에서 Richtext 생성자로 컴포넌트를 초기화합니다. 정리를 위해 ngOnDestroy() 내부에서 destructor() 메서드를 호출하세요.

richtext.component.ts
import { Richtext } from '@dhx/trial-richtext';
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation } from '@angular/core';

@Component({
encapsulation: ViewEncapsulation.None,
selector: "richtext", // app.component.ts에서 <richtext />로 "richtext" 셀렉터를 사용합니다
styleUrls: ["./richtext.component.css"], // css 파일을 포함합니다
template: `<div class = "component_container">
<div #richtext_container class = "widget"></div>
</div>`
})

export class RichTextComponent implements OnInit, OnDestroy {
// RichText 컨테이너
@ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;

private _editor!: Richtext;

ngOnInit() {
// RichText 컴포넌트를 초기화합니다
this._editor = new Richtext(this.richtext_container.nativeElement, {});
}

ngOnDestroy(): void {
this._editor.destructor(); // RichText를 삭제합니다
}
}

스타일 추가​

src/app/richtext/ 디렉터리에 richtext.component.css 파일을 생성하고 RichText와 컨테이너에 대한 스타일을 추가합니다.

richtext.component.css
/* RichText 스타일 가져오기 */
@import "@dhx/trial-richtext/dist/richtext.css";

/* 기본 페이지 스타일 */
html,
body{
height: 100%;
padding: 0;
margin: 0;
}

/* RichText 컨테이너 */
.component_container {
height: 100%;
margin: 0 auto;
}

/* RichText 위젯 */
.widget {
height: calc(100% - 56px);
}

데이터 로드​

RichText에 데이터를 제공합니다. src/app/richtext/ 디렉터리에 data.ts 파일을 생성하세요.

data.ts
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

richtext.component.ts를 열고, 데이터를 가져온 뒤 ngOnInit() 내부에서 value 속성을 RichText 설정에 전달합니다.

richtext.component.ts
import { Richtext } from '@dhx/trial-richtext';
import { getData } from "./data"; // 데이터를 가져옵니다
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation } from '@angular/core';

@Component({
encapsulation: ViewEncapsulation.None,
selector: "richtext",
styleUrls: ["./richtext.component.css"],
template: `<div class = "component_container">
<div #richtext_container class = "widget"></div>
</div>`
})

export class RichTextComponent implements OnInit, OnDestroy {
@ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;

private _editor!: Richtext;

ngOnInit() {
const { value } = getData(); // 데이터 모듈에서 value를 추출합니다
this._editor = new Richtext(this.richtext_container.nativeElement, {
value
// 기타 설정 속성
});
}

ngOnDestroy(): void {
this._editor.destructor();
}
}

또는 ngOnInit() 내부에서 setValue() 메서드를 호출하여 RichText에 데이터를 로드할 수도 있습니다.

richtext.component.ts
import { Richtext } from '@dhx/trial-richtext';
import { getData } from "./data"; // 데이터를 가져옵니다
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation } from '@angular/core';

@Component({
encapsulation: ViewEncapsulation.None,
selector: "richtext",
styleUrls: ["./richtext.component.css"],
template: `<div class = "component_container">
<div #richtext_container class = "widget"></div>
</div>`
})

export class RichTextComponent implements OnInit, OnDestroy {
@ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;

private _editor!: Richtext;

ngOnInit() {
const { value } = getData(); // 데이터 모듈에서 value를 추출합니다
this._editor = new Richtext(this.richtext_container.nativeElement, {
// 기타 설정 속성
});

// setValue() 메서드를 통해 데이터를 적용합니다
this._editor.setValue(value);
}

ngOnDestroy(): void {
this._editor.destructor();
}
}

RichText 컴포넌트를 사용할 준비가 완료되었습니다. <richtext/> 요소가 마운트되면 Angular가 데이터와 함께 에디터를 렌더링합니다. 전체 설정 옵션 목록은 RichText API 개요를 참고하세요.

이벤트 처리​

RichText는 사용자 동작에 따라 이벤트를 발생시킵니다. api.on() 메서드로 이벤트를 구독하여 사용자 입력에 반응하세요. 전체 이벤트 목록을 참고하세요.

richtext.component.ts를 열고 ngOnInit() 메서드를 업데이트합니다. 아래 예제는 print 이벤트가 발생할 때마다 메시지를 콘솔에 출력합니다.

richtext.component.ts
// ...
ngOnInit() {
this._editor = new Richtext(this.richtext_container.nativeElement, {});

this._editor.api.on("print", () => {
console.log("The document is printing");
});
}

ngOnDestroy(): void {
this._editor.destructor();
}

3단계. 앱에 RichText 추가​

src/app/app.component.ts를 열고 기본 코드를 <richtext/> 셀렉터로 교체합니다.

app.component.ts
import { Component } from "@angular/core";

@Component({
selector: "app-root",
template: `<richtext/>`
})
export class AppComponent {
name = "";
}

src/app/app.module.ts를 생성하고 RichTextComponent를 선언합니다.

app.module.ts
import { NgModule } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";

import { AppComponent } from "./app.component";
import { RichTextComponent } from "./richtext/richtext.component";

@NgModule({
declarations: [AppComponent, RichTextComponent],
imports: [BrowserModule],
bootstrap: [AppComponent]
})
export class AppModule {}

src/main.ts를 열고 내용을 부트스트랩 코드로 교체합니다.

main.ts
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";
import { AppModule } from "./app/app.module";
platformBrowserDynamic()
.bootstrapModule(AppModule)
.catch((err) => console.error(err));

앱을 시작하여 페이지에 데이터와 함께 RichText가 렌더링되는지 확인합니다.

샘플 콘텐츠와 함께 Angular 애플리케이션에 렌더링된 DHTMLX RichText

이제 Angular에서 RichText 통합이 완성되었습니다. 필요에 맞게 코드를 커스터마이즈하세요. 전체 예제는 GitHub에서 확인할 수 있습니다.

본문으로 건너뛰기

Svelte와의 통합

팁

Svelte의 기본 개념과 패턴을 먼저 익혀두시기 바랍니다. 복습이 필요하다면 Svelte 문서를 참고하세요.

DHTMLX RichText는 Svelte와 함께 사용할 수 있습니다. 전체 코드 예제는 GitHub 데모를 참고하세요.

프로젝트 생성​

정보

새 프로젝트를 생성하기 전에 Node.js와 (선택 사항으로) Vite를 설치하세요.

이 튜토리얼에서는 Vite 기반의 Svelte 프로젝트를 사용합니다. SvelteKit 및 기타 옵션에 대해서는 Svelte 프로젝트 가이드를 참고하세요.

새 Vite 프로젝트를 시작합니다:

npm create vite@latest

의존성 설치​

스캐폴더에서 프로젝트 이름을 입력하라고 하면 my-svelte-richtext-app을 사용하세요. 그런 다음 새 디렉터리로 이동합니다:

cd my-svelte-richtext-app

패키지 매니저를 사용하여 의존성을 설치하고 개발 서버를 시작합니다.

yarn을 사용하는 경우 다음을 실행합니다:

yarn
yarn dev

npm을 사용하는 경우 다음을 실행합니다:

npm install
npm run dev

앱은 localhost에서 실행됩니다(예: http://localhost:3000).

RichText 생성​

앱을 중지하고 RichText 패키지를 설치합니다.

1단계. 패키지 설치​

RichText 평가판 패키지를 다운로드하고 README 파일의 단계를 따릅니다. 평가판 라이선스는 30일간 유효합니다.

2단계. 컴포넌트 생성​

애플리케이션에 RichText를 추가할 Svelte 컴포넌트를 생성합니다. src/ 디렉터리에 Richtext.svelte라는 새 파일을 만드세요.

소스 파일 가져오기​

Richtext.svelte를 열고 RichText 소스 파일을 가져옵니다.

로컬 폴더에서 설치한 PRO 버전의 경우 다음을 사용합니다:

Richtext.svelte
<script>
import { Richtext } from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';
</script>

평가판의 경우 다음을 사용합니다:

Richtext.svelte
<script>
import { Richtext } from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css';
</script>

이 튜토리얼에서는 RichText 평가판을 사용합니다.

컨테이너 설정 및 RichText 초기화​

RichText의 컨테이너 요소를 설정하고 onMount() 내부에서 컴포넌트를 초기화합니다. RichText를 제거하려면 onDestroy() 내부에서 destructor() 메서드를 호출합니다:

Richtext.svelte
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

let richtext_container; // RichText용 컨테이너
let editor;

onMount(() => {
// RichText 컴포넌트 초기화
editor = new Richtext(richtext_container, {});
});

onDestroy(() => {
editor?.destructor(); // RichText 제거
});
</script>

<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>

스타일 추가​

프로젝트의 메인 CSS 파일(예: src/app.css)에 RichText와 해당 컨테이너의 스타일을 추가합니다:

app.css
/* 기본 페이지 스타일 */
html,
body {
height: 100%;
padding: 0;
margin: 0;
}

/* RichText 컨테이너 */
.component_container {
height: 100%;
margin: 0 auto;
}

/* RichText 위젯 */
.widget {
height: calc(100% - 56px);
}

데이터 로드​

RichText에 데이터를 제공합니다. src/ 디렉터리에 data.js 파일을 생성합니다:

data.js
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

App.svelte를 열고 데이터를 가져온 다음, value를 <RichText/> 컴포넌트에 prop으로 전달합니다:

App.svelte
<script>
import RichText from "./Richtext.svelte";
import { getData } from "./data.js";

const { value } = getData();
</script>

<RichText value={value} />

Richtext.svelte를 열고 prop 값을 RichText 설정에 전달합니다:

Richtext.svelte
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export let value;

let richtext_container;
let editor;

onMount(() => {
editor = new Richtext(richtext_container, {
value
// 기타 설정 속성
});
});

onDestroy(() => {
editor?.destructor();
});
</script>

<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>

또는 onMount() 내부에서 setValue() 메서드를 호출하여 RichText에 데이터를 로드할 수 있습니다:

Richtext.svelte
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export let value;

let richtext_container;
let editor;

onMount(() => {
editor = new Richtext(richtext_container, {
// 기타 설정 속성
});

editor.setValue(value);
});

onDestroy(() => {
editor?.destructor();
});
</script>

<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>

RichText 컴포넌트를 사용할 준비가 되었습니다. <RichText/> 요소가 마운트되면 Svelte가 데이터와 함께 에디터를 렌더링합니다. 전체 설정 옵션 목록은 RichText API 개요를 참고하세요.

이벤트 처리​

RichText는 사용자 동작 시 이벤트를 발생시킵니다. api.on() 메서드를 사용하여 이벤트를 구독하고 사용자 입력에 반응할 수 있습니다. 전체 이벤트 목록을 참고하세요.

Richtext.svelte를 열고 onMount() 훅을 업데이트합니다. 아래 예제는 모든 print 이벤트 발생 시 메시지를 로그에 기록합니다:

Richtext.svelte
<script>
// ...
let editor;

onMount(() => {
editor = new Richtext(richtext_container, {});

editor.api.on("print", () => {
console.log("The document is printing");
});
});

onDestroy(() => {
editor?.destructor();
});
</script>

// ...

앱을 시작하면 페이지에 데이터와 함께 RichText가 렌더링되는 것을 확인할 수 있습니다.

샘플 콘텐츠와 함께 Svelte 애플리케이션에 렌더링된 DHTMLX RichText

이제 Svelte에서 RichText 통합이 완료되었습니다. 필요에 맞게 코드를 커스터마이즈하세요. 전체 예제는 GitHub에서 확인할 수 있습니다.

본문으로 건너뛰기

Vue와의 통합

팁

기본적인 Vue 개념과 패턴에 익숙하신지 확인하세요. 복습이 필요하시면 Vue 3 문서를 참조하십시오.

DHTMLX RichText는 Vue와 함께 동작합니다. 전체 코드 예제는 GitHub 데모를 참조하십시오.

프로젝트 생성​

정보

새 프로젝트를 생성하기 전에 Node.js를 설치하십시오.

공식 스캐폴딩 도구를 사용하여 Vue 프로젝트를 생성합니다.

npm create vue@latest

이 명령어는 create-vue를 설치하고 실행합니다. 스캐폴더에서 프로젝트 이름을 입력하라는 메시지가 표시되면 my-vue-richtext-app을 사용하십시오. 자세한 내용은 Vue.js 빠른 시작을 참조하십시오.

의존성 설치​

앱 디렉터리로 이동합니다.

cd my-vue-richtext-app

패키지 매니저를 사용하여 의존성을 설치하고 개발 서버를 시작합니다.

yarn을 사용하는 경우 다음을 실행합니다.

yarn
yarn dev

npm을 사용하는 경우 다음을 실행합니다.

npm install
npm run dev

앱은 localhost에서 실행됩니다(예: http://localhost:3000).

RichText 생성​

앱을 중지하고 RichText 패키지를 설치합니다.

1단계. 패키지 설치​

평가판 RichText 패키지를 다운로드하고 README 파일의 절차를 따르십시오. 평가판 라이선스는 30일간 유효합니다.

2단계. 컴포넌트 생성​

애플리케이션에 RichText를 추가하기 위한 Vue 컴포넌트를 생성합니다. src/components/ 디렉터리에 Richtext.vue라는 새 파일을 만듭니다.

소스 파일 가져오기​

Richtext.vue를 열고 RichText 소스 파일을 가져옵니다.

로컬 폴더에서 설치한 PRO 버전의 경우 다음을 사용합니다.

Richtext.vue
<script>
import { Richtext } from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';
</script>

평가판 버전의 경우 다음을 사용합니다.

Richtext.vue
<script>
import { Richtext } from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css';
</script>

이 튜토리얼에서는 RichText 평가판 버전을 사용합니다.

컨테이너 설정 및 RichText 초기화​

RichText의 컨테이너 엘리먼트를 설정하고 mounted() 내에서 Richtext 생성자로 컴포넌트를 초기화합니다. RichText를 제거하려면 unmounted() 내에서 destructor() 메서드를 호출합니다.

Richtext.vue
<script>
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default {
mounted() {
// RichText 컴포넌트를 초기화합니다
this.editor = new Richtext(this.$refs.richtext_container, {});
},

unmounted() {
this.editor.destructor(); // RichText를 제거합니다
}
};
</script>

<template>
<div class="component_container">
<div ref="richtext_container" class="widget"></div>
</div>
</template>

스타일 추가​

프로젝트의 메인 CSS 파일에 RichText와 컨테이너에 대한 스타일을 추가합니다.

main.css
/* 기본 페이지 스타일 */
html,
body,
#app { /* #app 루트 컨테이너 사용 */
height: 100%;
padding: 0;
margin: 0;
}

/* RichText 컨테이너 */
.component_container {
height: 100%;
margin: 0 auto;
}

/* RichText 위젯 */
.widget {
height: calc(100% - 56px);
}

데이터 로드​

RichText에 데이터를 제공합니다. src/ 디렉터리에 data.js 파일을 생성합니다.

data.js
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

App.vue를 열고 데이터를 가져온 후 data() 메서드를 통해 초기화합니다. <RichText/> 컴포넌트에 값을 prop으로 전달합니다.

App.vue
<script>
import RichText from "./components/Richtext.vue";
import { getData } from "./data";

export default {
components: { RichText },
data() {
const { value } = getData();
return { value };
}
};
</script>

<template>
<RichText :value="value" />
</template>

Richtext.vue를 열고 prop 값을 RichText 설정에 전달합니다.

Richtext.vue
<script>
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default {
props: ["value"],

mounted() {
this.editor = new Richtext(this.$refs.richtext_container, {
value: this.value,
// 기타 설정 속성
});
},

unmounted() {
this.editor.destructor();
}
};
</script>

<template>
<div class="component_container">
<div ref="richtext_container" class="widget"></div>
</div>
</template>

또는 mounted() 내에서 setValue() 메서드를 호출하여 RichText에 데이터를 로드할 수도 있습니다.

Richtext.vue
<script>
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default {
props: ["value"],

mounted() {
this.editor = new Richtext(this.$refs.richtext_container, {
// 기타 설정 속성
});

this.editor.setValue(this.value);
},

unmounted() {
this.editor.destructor();
}
};
</script>

<template>
<div class="component_container">
<div ref="richtext_container" class="widget"></div>
</div>
</template>

RichText 컴포넌트를 사용할 준비가 완료되었습니다. <RichText/> 엘리먼트가 마운트될 때 Vue가 데이터와 함께 에디터를 렌더링합니다. 전체 설정 옵션 목록은 RichText API 개요를 참조하십시오.

이벤트 처리​

RichText는 사용자 동작에 따라 이벤트를 발생시킵니다. api.on() 메서드로 이벤트를 구독하여 사용자 입력에 반응하십시오. 전체 이벤트 목록을 참조하십시오.

Richtext.vue를 열고 mounted() 훅을 업데이트합니다. 아래 예제는 print 이벤트가 발생할 때마다 메시지를 로그에 기록합니다.

Richtext.vue
<script>
// ...
export default {
// ...
mounted() {
this.editor = new Richtext(this.$refs.richtext_container, {});

this.editor.api.on("print", () => {
console.log("The document is printing");
});
},

unmounted() {
this.editor.destructor();
}
}
</script>

// ...

앱을 시작하면 페이지에 데이터와 함께 RichText가 렌더링되는 것을 확인할 수 있습니다.

샘플 콘텐츠와 함께 Vue 애플리케이션에 렌더링된 DHTMLX RichText

이제 Vue에서 RichText 통합이 완성되었습니다. 필요에 맞게 코드를 커스터마이즈하십시오. 완전한 예제는 GitHub에서 확인할 수 있습니다.

본문으로 건너뛰기

React와의 통합

팁

React의 기본 개념과 패턴을 숙지하고 있는지 확인하십시오. 복습이 필요한 경우 React 문서를 참고하십시오.

DHTMLX RichText는 React와 함께 동작합니다. 전체 코드 예제는 GitHub 데모를 참고하십시오.

프로젝트 생성​

정보

새 프로젝트를 생성하기 전에 Node.js와 (선택적으로) Vite를 설치하십시오.

Create React App으로 새 my-react-richtext-app 프로젝트를 생성합니다:

npx create-react-app my-react-richtext-app

의존성 설치​

새 앱 디렉토리로 이동합니다:

cd my-react-richtext-app

패키지 매니저를 사용하여 의존성을 설치하고 개발 서버를 시작합니다.

yarn을 사용하는 경우 실행합니다:

yarn
yarn start

npm을 사용하는 경우 실행합니다:

npm install
npm start

앱은 localhost에서 실행됩니다 (예: http://localhost:3000).

RichText 생성​

앱을 중지하고 RichText 패키지를 설치합니다.

1단계. 패키지 설치​

RichText 평가판 패키지를 다운로드하고 README 파일의 단계를 따르십시오. 평가판 라이선스는 30일 동안 유효합니다.

2단계. 컴포넌트 생성​

RichText를 애플리케이션에 추가하는 React 컴포넌트를 생성합니다. src/ 디렉토리에 Richtext.jsx라는 새 파일을 생성합니다.

소스 파일 가져오기​

Richtext.jsx를 열고 RichText 소스 파일을 가져옵니다.

로컬 폴더에서 설치한 PRO 버전의 경우 다음을 사용합니다:

Richtext.jsx
import { Richtext } from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';

평가판 버전의 경우 다음을 사용합니다:

Richtext.jsx
import { Richtext } from '@dhx/trial-richtext';
import "@dhx/trial-richtext/dist/richtext.css";

이 튜토리얼에서는 RichText 평가판 버전을 사용합니다.

컨테이너 설정 및 RichText 초기화​

RichText용 컨테이너 요소를 설정하고 useEffect() 내에서 Richtext 생성자로 컴포넌트를 초기화합니다. RichText를 제거하려면 클린업 함수에서 destructor() 메서드를 호출합니다:

Richtext.jsx
import { useEffect, useRef } from "react";
import { Richtext } from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css'; // RichText 스타일 포함

export default function RichTextComponent(props) {
let richtext_container = useRef(); // RichText용 컨테이너

useEffect(() => {
// RichText 컴포넌트 초기화
const editor = new Richtext(richtext_container.current, {});

return () => {
editor.destructor(); // RichText 제거
};
}, []);

return <div className="component_container">
<div ref={richtext_container} className="widget"></div>
</div>
}

스타일 추가​

프로젝트의 메인 CSS 파일에 RichText와 컨테이너의 스타일을 추가합니다:

index.css
/* 기본 페이지 스타일 */
html,
body,
#root {
height: 100%;
padding: 0;
margin: 0;
}

/* RichText 컨테이너 */
.component_container {
height: 100%;
margin: 0 auto;
}

/* RichText 위젯 */
.widget {
height: calc(100% - 56px);
}

데이터 로드​

RichText에 데이터를 제공합니다. src/ 디렉토리에 data.js 파일을 생성합니다:

data.js
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

App.js를 열고 데이터를 가져옵니다. value를 <RichText/> 컴포넌트에 prop으로 전달합니다:

App.js
import RichText from "./Richtext";
import { getData } from "./data";

function App() {
const { value } = getData();
return <RichText value={value} />;
}

export default App;

Richtext.jsx를 열고 props.value를 RichText 구성에 전달합니다:

Richtext.jsx
import { useEffect, useRef } from "react";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default function RichTextComponent(props) {
let richtext_container = useRef();

useEffect(() => {
const editor = new Richtext(richtext_container.current, {
value: props.value, // 값 적용
// 기타 설정 속성
});

return () => {
editor.destructor();
};
}, []);

return <div className="component_container">
<div ref={richtext_container} className="widget"></div>
</div>
}

또는 useEffect() 내에서 setValue() 메서드를 호출하여 RichText에 데이터를 로드할 수도 있습니다:

Richtext.jsx
import { useEffect, useRef } from "react";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default function RichTextComponent(props) {
let richtext_container = useRef();

let value = props.value;

useEffect(() => {
const editor = new Richtext(richtext_container.current, {
// 설정 속성
});

editor.setValue(value);

return () => {
editor.destructor();
};
}, []);

return <div className="component_container">
<div ref={richtext_container} className="widget"></div>
</div>
}

RichText 컴포넌트를 사용할 준비가 되었습니다. <RichText/> 요소가 마운트될 때 React가 데이터와 함께 에디터를 렌더링합니다. 전체 구성 옵션 목록은 RichText API 개요를 참고하십시오.

이벤트 처리​

RichText는 사용자 동작 시 이벤트를 발생시킵니다. api.on() 메서드로 이벤트를 구독하여 사용자 입력에 반응하십시오. 전체 이벤트 목록을 참고하십시오.

Richtext.jsx를 열고 useEffect() hook을 업데이트합니다. 아래 예제는 print 이벤트가 발생할 때마다 메시지를 로그에 기록합니다:

Richtext.jsx
// ...
useEffect(() => {
const editor = new Richtext(richtext_container.current, {});

editor.api.on("print", () => {
console.log("The document is printing");
});

return () => {
editor.destructor();
};
}, []);
// ...

앱을 시작하면 페이지에 데이터와 함께 RichText가 렌더링되는 것을 확인할 수 있습니다.

샘플 콘텐츠와 함께 React 애플리케이션에 렌더링된 DHTMLX RichText

이제 React에서 RichText 통합이 완료되었습니다. 필요에 맞게 코드를 커스터마이즈하십시오. 전체 예제는 GitHub에서 확인할 수 있습니다.